2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* e-dateedit.c:
	* e-combo-button.c:
	* e-dropdown-button.c:
	* e-canvas.c:
	* e-cell-date-edit.h:
	* e-cell-date-edit.c:
	Remove deprecated Gtk+ symbols.

2009-04-13  Johnny Jacob  <jjohnny@novell.com>

	** Fixes #578685 – evolution crashed with SIGSEGV.

	** Patch by Takao Fujiwara <Takao.Fujiwara@Sun.COM>

	* e-attachment-bar.c (update): Copy string. Avoids SIGSEGV.

2009-03-09  Chenthill Palanisamy  <pchenthill@novell.com>

	* widgets/misc/e-calendar-item.c: Removed the string
	marked for translation as it not required and also breaks
	the string freeze.

2009-03-08  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #342446
	* widgets/misc/e-calendar-item.c: Check whether its
	appropriate to use %Id format for digits. Incorporated
	the fix from Wang Xin <jedy.wang@sun.com> to build in
	solaris.

2009-02-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #559027

	* e-dateedit.c: (on_date_entry_focus_out):
	Do not set date for 'None' value.

2009-02-12  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #404232

	* e-filter-bar.c: (rule_advanced_response): Emit signal after
	search bar text is set, thus the text will not be empty, which
	is considered as "no search" these days.

2009-01-30  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #342446

	** Committing on behalf of Behnam Esfahbod

	* e-calendar-item.c (e_calendar_item_draw_day_numbers),
	(e_calendar_item_recalc_sizes), (e_calendar_item_position_menu):
	Use localized digits in the calendar widget.

2009-01-11  Matthew Barnes  <mbarnes@redhat.com>

	* e-attachment-bar.c (eab_icon_clicked_cb):
	* e-url-entry.c (button_clicked_cb):
	Call e_show_uri() instead of gnome_url_show().

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* test-dropdown-button.c:
	Remove unneeded #include <libgnomeui/gnome-stock-icons.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567281

	* e-cell-date-edit.c:
	* e-cell-percent.c:
	Remove unneeded #include <libgnomeui/gnome-messagebox.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567276

	* test-color.c:
	We don't ship this.  Remove it.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567285

	* e-activity-handler.c:
	* e-dropdown-button.c:
	Remove unneeded #include <libgnomeui/gnome-popup-menu.h>.

2008-12-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #556303

	* e-attachment-bar.c: (eab_icon_clicked_cb):
	Check whether attachment has a body already before accessing it.

2008-12-09  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563669

	* e-send-options.glade:
	Use zero GtkSpinButton's PageSize, as Gtk+ requires.

2008-10-29  Sankar P  <psankar@novell.com>

License Changes

	* e-url-entry.c:
	* e-url-entry.h:

2008-10-21  Sankar P  <psankar@novell.com>

	* e-spinner.c (e_spinner_stop),
	(e_spinner_new_spinning_small_shown):
	* e-spinner.h:
	* e-task-widget.c (e_task_widget_construct):
	Re-factor spinner usage.

2008-10-17  Sankar P  <psankar@novell.com>

License Changes

	* e-dateedit.c:
	* e-dateedit.h:

2008-10-10  Sankar P  <psankar@novell.com>

License Changes + code cleanup

	* e-reflow.c (e_reflow_event), (e_reflow_init):

2008-10-01  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #554418

	* e-attachment.c: (attachment_guess_mime_type):
	Allow guessing mime_type based on the file content.

2008-10-01  Sankar P  <psankar@novell.com>

License Changes

	* e-canvas-background.c:
	* e-dateedit.c:

2008-09-30  Sankar P  <psankar@novell.com>

License Changes

	* e-expander.c:

2008-09-29  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #530716

	* e-activity-handler.c: (error_cleanup): GtkDialog errors close
	by the response message, not as other widgets, because creator
	of the dialog waits for that signal and takes care of the widget.

2008-09-29  Sankar P  <psankar@novell.com>

License Changes

	* e-colors.c:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* e-canvas.c:
	* e-combo-button.c:

2008-09-19  Sankar P  <psankar@novell.com>

License Changes

	* e-attachment-bar.c:
	* e-search-bar.c:
	* e-search-bar.h:
	* e-task-widget.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* e-calendar.c:
	* e-cell-percent.c:
	* e-unicode.h:

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* e-online-button.c:
	* e-online-button.h:

2008-09-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #549968

	* e-attachment-bar.c (e_attachment_bar_bonobo_ui_populate_with):
	Use the same mnemonic for "Recent Documents" as composer.

2008-09-06  Michael Meeks  <michael.meeks@novell.com>

	* e-spinner.c: correct licensing cockup; apologies.
	* e-icon-entry.h: ditto.

2008-09-04  Sankar P  <psankar@novell.com>

License Changes

	* e-calendar-item.c:
	* e-charset-picker.c:
	* e-config-page.c:
	* e-dropdown-button.c:
	* e-multi-config-dialog.c:
	* e-multi-config-dialog.h:
	* test-multi-config-dialog.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* e-activity-handler.c:
	* e-activity-handler.h:
	* e-attachment-bar.h:
	* e-attachment.h:
	* e-calendar.h:
	* e-canvas-background.h:
	* e-canvas-utils.h:
	* e-canvas-vbox.c:
	* e-canvas-vbox.h:
	* e-canvas.h:
	* e-cell-date-edit.c:
	* e-cell-renderer-combo.c:
	* e-colors.h:
	* e-combo-button.h:
	* e-combo-cell-editable.c:
	* e-config-page.h:
	* e-cursors.c:
	* e-dropdown-button.h:
	* e-expander.h:
	* e-filter-bar.c:
	* e-filter-bar.h:
	* e-gui-utils.c:
	* e-gui-utils.h:
	* e-image-chooser.c:
	* e-info-label.c:
	* e-map.c:
	* e-pilot-settings.c:
	* e-popup-menu.c:
	* e-popup-menu.h:
	* e-printable.c:
	* e-reflow.h:
	* e-selection-model.c:
	* e-send-options.c:
	* e-task-bar.c:
	* e-task-bar.h:
	* e-task-widget.h:
	* e-unicode.c:
	* test-calendar.c:
	* test-dateedit.c:
	* test-dropdown-button.c:

2008-09-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #550334

	* e-activity-handler.c:
	Use standard icon names for warning and information.

2008-08-30  Matthew Barnes  <mbarnes@redhat.com>

	* e-info-label.c (e_info_label_set_info):
	Fix vertical alignment of labels.

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* e-account-combo-box.c:
	* e-account-combo-box.h:
	* e-attachment.c:
	* e-calendar-item.h:
	* e-canvas-utils.c:
	* e-cell-date-edit.h:
	* e-cell-percent.h:
	* e-cell-renderer-combo.h:
	* e-charset-picker.h:
	* e-combo-cell-editable.h:
	* e-cursors.h:
	* e-icon-entry.h:
	* e-image-chooser.h:
	* e-info-label.h:
	* e-map.h:
	* e-pilot-settings.h:
	* e-printable.h:
	* e-reflow-model.c:
	* e-reflow-model.h:
	* e-selection-model-array.c:
	* e-selection-model-array.h:
	* e-selection-model-simple.c:
	* e-selection-model-simple.h:
	* e-selection-model.h:
	* e-send-options.h:
	* e-signature-combo-box.c:
	* e-signature-combo-box.h:
	* e-spinner.c:
	* e-spinner.h:
	* test-charset-picker.c:
	* test-color.c:
	* test-error.c:
	* test-info-label.c:

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #547411

	* e-online-button.c (e_online_button_set_online):
	The button icons are themed now but still oblong.
	Load the icons by filename so GTK+ doesn't scale them.

2008-08-14  Matthew Barnes  <mbarnes@redhat.com>

	* e-multi-config-dialog.c:
	* e-send-options.c:
	Use e_display_help() for displaying help.

2008-08-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #546892

	* e-combo-button.c:
	* e-info-label.c:
	* e-url-entry.c:
	* e-task-widget.c:
	Prefer gtk_image_new_from_stock() over e_icon_factory_get_image().

	* e-activity-handler.c:
	* e-task-widget.c:
	Purge the GdkPixbuf arguments from the API.  We've been ignoring
	them since the spinner icon was added.

2008-07-23  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #543943

	* e-activity-handler.c: (e_activity_handler_operation_set_error):
	* e-task-bar.c: (e_task_bar_class_init), (impl_finalize):
	Leak fix.

2008-07-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #542587

	* e-online-button.c:
	* e-online-button.h:
	New widget implements the online/offline button used in the main
	window.  The button just maintains an "online" flag and displays
	the appropriate button image for the flag.

2008-17-14  Paolo Borelli  <pborelli@katamail.com>

	** Fix for bug #542889

	* e-search-bar.h:
	* widgets/misc/e-search-bar.c:
	* widgets/misc/e-task-widget.c:
	Port to the new gtk tooltip api.

2008-07-12  Paolo Borelli  <pborelli@katamail.com>

	** Fix for bug #542631

	* e-attachment-bar.c: use g_format_size_for_display instead of cut and
	pasted code.

2008-07-07  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #370731 (bugzilla.novell.com)

	* e-calendar-item.c (e_calendar_item_update),
	(e_calendar_item_draw_month), (e_calendar_item_draw_day_numbers),
	(e_calendar_item_recalc_sizes):
	* e-calendar-item.h: 
	Use MAX (<max width of day-names>, (2 * <max width of a digit>))
	to determine the minimal size for each cell. This prevents the numbers
	and day-names from getting fuzzy when using large font-sizes. 

2008-06-30  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #519536

	* e-activity-handler.c: (cancel_wrapper): Handle freeing of data
	safely.

2008-06-18  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #532597

	* e-selection-model-array.c: (e_selection_model_array_delete_rows):
	Do not leave selected more than one item if somebody else took care
	or reposition of the cursor row before the delete.

2008-06-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #340683

	* e-attachment-bar.c: (get_system_thumbnail), (scale_pixbuf),
	(e_attachment_bar_create_attachment_cache), (update):
	Allow creating thumbnails of non-pictures with a gnome's thumbnailer.

2008-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* e-cell-date-edit.c: (e_cell_date_edit_init):
	* e-dateedit.c: (create_children):
	* e-multi-config-dialog.c: (e_multi_config_dialog_init):
	* e-unicode.h:
	* test-calendar.c: (main):
	* test-dateedit.c: (main):
	* test-info-label.c: (main):
	Migrate from gtk_window_set_policy() to gtk_window_set_resizable()
	and clean up a bunch of coding style issues along the way.

2008-05-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #532597

	* e-selection-model-array.h: (struct ESelectionModelArray):
	* e-selection-model-array.c: (es_row_model_to_sorted),
	(es_row_sorted_to_model), (e_selection_model_array_delete_rows),
	(e_selection_model_array_insert_rows), (esma_invert_selection),
	(e_selection_model_array_move_row), (esma_clear), (esma_select_all),
	(esma_change_cursor), (esma_set_selection_end),
	(e_selection_model_array_init): Work with sorted cursor row to keep
	right position after insert/delete/move row(s).

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* e-activity-handler.h:
	* e-attachment-bar.h:
	* e-attachment.c:
	* e-calendar-item.c:
	* e-calendar-item.h:
	* e-calendar.h:
	* e-canvas-background.h:
	* e-canvas-vbox.h:
	* e-canvas.c:
	* e-canvas.h:
	* e-cell-date-edit.c:
	* e-cell-date-edit.h:
	* e-combo-button.c:
	* e-combo-button.h:
	* e-config-page.h:
	* e-dateedit.c:
	* e-dateedit.h:
	* e-dropdown-button.c:
	* e-dropdown-button.h:
	* e-filter-bar.c:
	* e-gui-utils.c:
	* e-gui-utils.h:
	* e-image-chooser.c:
	* e-map.c:
	* e-map.h:
	* e-multi-config-dialog.h:
	* e-popup-menu.h:
	* e-printable.h:
	* e-reflow.h:
	* e-send-options.h:
	* e-task-bar.h:
	* e-task-widget.h:
	* e-url-entry.c:
	* e-url-entry.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-05-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #311042, Patch by Milan Crha

	* e-info-label.c: (el_size_allocate), (el_class_init),
	(e_info_label_set_info), (get_text_full_width): Allocate size for
	location and info labels differently, than GtkHBox does, to be able
	to minimize it as much as possible and do not waste empty space.

2008-05-06  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #424744

	* e-attachment-bar.c:
	* e-unicode.c:
	Use camel-iconv.c instead of e-iconv.h (now deprecated).

2008-04-30  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #528288

	* e-filter-bar.c: (get_property): Do not return any query
	with empty text from search bar.

2008-04-25  Danny Baumann  <dannybaumann@web.de>

	** Fix for bug #529893

	* e-dateedit.c (create_children):
	* e-combo-cell-editable.c (build_popup):
	* e-cell-date-edit.c (e_cell_date_edit_init):
	Properly set type hint on popup windows.

2008-04-22  Matthew Barnes  <mbarnes@Redhat.com>

	** Fixes part of bug #529641

	* e-dateedit.c (create_children):
	* e-map.c (e_map_new):
	Prefer the term "drop-down combination box" to "combo box" per the
	GNOME Documentation Style Guide.

2008-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #334444

	* e-attachment-bar.c: (e_attachment_bar_add_attachment_silent),
	(e_attachment_bar_refresh):
	* e-attachment-bar.h:

2008-04-17  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #526739

	* e-attachment.h: (struct _EAttachment):
	* e-attachment.c: (finalise), (init), (attachment_guess_mime_type),
	(e_attachment_new), (struct DownloadInfo), (download_info_free),
	(data_ready_cb), (download_to_local_path),
	(e_attachment_new_remote_file):
	Use gio instead of gnome-vfs to download remote files.
	* e-image-chooser.c: (image_drag_data_received_cb):
	Use new util function to read file.
	* e-attachment-bar.c: (size_to_string): Stolen from gnome-vfs.

2008-04-14  Matthew Barnes  <mbarnes@redhat.com>

	* e-attachment-bar.c
	(e_attachment_bar_bonobo_ui_populate_with_recent):
	Fix a compiler warning.

2008-04-11  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #517134

	* e-attachment-bar.c: (destroy), (init): Related changes. 
	(e_attachment_bar_bonobo_ui_populate_with_recent): New API to populate
	a bonoboUI menu with "Recent Documents". 
	(action_recent_cb), (e_attachment_bar_recent_action_new): New API to
	obtain a new, pre-configured GtkRecentAction (which can be used as a
	"Recent Documents" menu)
	* e-attachment-bar.h: APIs' signatures

2008-04-02  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Add EVOLUTION_MAIL_LIBS.

	* e-account-combo-box.c:
	* e-account-combo-box.h:
	New function e_account_combo_box_get_account_list().
	Emit a "refreshed" signal when the EAccountList changes.
	Add an internal reverse-lookup index.

	* e-charset-picker.c (e_charser_add_radio_actions):
	New function adds radio actions to an action group.
	Will eventually replace e_charset_picker_bonobo_ui_populate().

	* e-signature-combo-box.c:
	* e-signature-combo-box.h:
	New function e_signature_combo_box_get_signature_list().

2008-03-27  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #507526

	* e-send-options.glade: Add translators' comment.

2008-03-14  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #482148

	* e-search-bar.c: (entry_activated_cb), (entry_changed_cb),
	(search_now_verb_cb), (clear_verb_cb), (clear_button_clicked_cb):
	Allow clear search when some search is active and text is empty.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #460204

	* e-attachment.c: (attachment_guess_mime_type):
	Check whether found mime type is valid before returning it.
	My thanks come to Effenberg whom helped me to debug it.

2008-03-13  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #512543

	* e-calendar-item.c: Get rid of ENABLE_CAIRO define.

2008-02-18  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #515744

	* e-cursors.c: (e_cursors_init):
	* e-calendar-item.c: (e_calendar_item_draw_month):
	Memory leak fix.

2008-02-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bnc #178778

	* e-calendar-item.c: (e_calendar_item_destroy):

2008-02-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #249501

	* e-attachment.c: (attachment_guess_mime_type):
	gnome_vfs_get_file_info expects URI,
	thus if file_name contains '%' it failed.

2007-01-25  Johnny Jacob  <jjohnny@novell.com>
  
  	* e-filter-bar.h : Added a cameloperation cancel field for vfolder
  	based search.
	
2008-01-24  Tor Lillqvist  <tml@novell.com>

	* Makefile.am (libemiscwidgets_la_LIBADD): Fix typo:
	s/EVOLUTON_MAIL_LIBS/EVOLUTION_MAIL_LIBS/. No need to use
	CAMEL_LIBS as EVOLUTION_MAIL_LIBS already covers that.

2008-01-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #402487

	* e-search-bar.c: (search_now_verb_cb), (scopeoption_changed_cb):
	Memory leak fix.

2008-01-24  Srinivasa Ragavan  <sragavan@novell.com>

	* e-multi-config-dialog.c: (canvas_realize),
	(e_multi_config_dialog_add_page): Enable for Cairofication of the
	settings dialogs's etable.

2008-01-11  Jeffrey Stedfast  <fejj@novell.com>

	Patch by Jean-Christophe BEGUE to fix bug #329692.

	* e-attachment.c (e_attachment_new_from_mime_part): Get the
	content size of the MIME part by calling the new
	camel_mime_part_get_content_size() function.

2008-01-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #488213

	* e-spinner.c: (scale_to_size):
	* e-image-chooser.c: (set_image_from_data):
	* e-attachment-bar.c: (e_attachment_bar_create_attachment_cache),
	(update):
	Use global function e_icon_factory_pixbuf_scale for scaling pixbufs.

2008-01-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Add better support to show info/errors

	* e-activity-handler.c: (setup_task_bar), (cancel_wrapper),
	(handle_error), (error_cleanup), (e_activity_handler_make_error),
	(e_activity_handler_operation_set_error):
	* e-activity-handler.h:
	* e-task-widget.c: (e_task_widget_update_image):

2008-01-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #339813

	* e-dateedit.h: (e_date_edit_get_twodigit_year_can_future),
	(e_date_edit_set_twodigit_year_can_future):
	Added new option for component.
	* e-dateedit.c: (e_date_edit_get_twodigit_year_can_future),
	(e_date_edit_set_twodigit_year_can_future),
	(struct _EDateEditPrivate::twodigit_year_can_future),
	(e_date_edit_init), (e_date_edit_parse_date):
	Implementing new option for component.
	* e-dateedit.c: (on_date_entry_focus_out):
	Always repaint value on focus out.
	* e-dateedit.c: (e_date_edit_update_date_entry):
	Forced to always show 4-digit year.

2008-01-04  Milan Crha  <mcrha@redhat.com>

	* Part of bug #504480
	* e-task-widget.c: (e_task_widget_construct):
	Possible leak fix.
	* e-task-widget.c: (e_task_widget_update_image):
	Function prototype changed and using parameter stock now.

2008-01-04  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #504480

	* e-task-bar.c: (e_task_bar_init): Increases the height
	of the ETaskBar to eliminate the constant resizing.

2007-12-14  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #211353

	* e-search-bar.c: (e_search_bar_get_viewitem_id):
	Return -1 if no viewmenu is setup yet.

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	** Revamped Activity handler and task bar/widget for non-intrusive 
	error reporting

	* e-activity-handler.c: (activity_info_new), (activity_info_free),
	(task_widget_new_from_activity_info), (setup_task_bar),
	(e_activity_handler_init),
	(e_activity_handler_set_error_flush_time),
	(e_activity_handler_set_logger), (cancel_wrapper),
	(e_activity_handler_cancelable_operation_started),
	(e_activity_handler_operation_started), (handle_error),
	(error_cleanup), (e_activity_handler_make_error),
	(e_activity_handler_operation_set_error),
	(e_activity_handler_operation_progressing),
	(e_activity_handler_operation_finished):
	* e-activity-handler.h:
	* e-task-bar.c: (e_task_bar_prepend_task),
	(e_task_bar_remove_task_from_id), (e_task_bar_remove_task),
	(e_task_bar_get_task_widget_from_id):
	* e-task-bar.h:
	* e-task-widget.c: (e_task_widget_init), (button_press_event_cb),
	(prepare_popup), (e_task_widget_construct),
	(e_task_widget_new_with_cancel), (e_task_widget_new),
	(e_task_widget_update_image):
	* e-task-widget.h:

2007-12-05  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #392747 (extra cleanup work)

	* e-calendar-item.c (e_calendar_item_show_popup_menu):
	Call e_get_month_name() instead of e_utf8_strftime().

2007-12-03  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #392747

	* e-calendar-item.h (struct _ECalendarItem):
	* e-calendar-item.c (e_calendar_item_init), (e_calendar_item_draw):
	Lose the local weekday name cache and just call e_get_weekday_name().

2007-12-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #495123

	* Makefile.am:
	Add e-signature-combo-box.[ch].

	* e-account-combo-box.c (account_combo_box_refresh_cb):
	Make sure the EAccount isn't lost while swapping models.

	* e-signature-combo-box.c:
	* e-signature-combo-box.h:
	New widget renders an ESignatureList as a combo box.  Also listens
	for changes to the ESignatureList and updates itself accordingly.

2007-11-27  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #495123

	* Makefile.am:
	Add e-account-combo-box.[ch].

	* e-account-combo-box.c:
	* e-account-combo-box.h:
	New widget renders an EAccountList as a combo box.  Also listens
	for changes to the EAccountList and updates itself accordingly.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #231166

	* e-dateedit.c: (create_children), (e_date_edit_check_time_changed),
	(rebuild_time_popup), (on_date_edit_time_selected),
	(on_time_entry_key_press), (e_date_edit_update_time_entry),
	(e_date_edit_grab_focus), (e_date_edit_update_time_combo_state):
	Migrate from gtk_combo to gtk_com_box_entry for time_combo.

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #351932

	* e-dateedit.h: (e_date_edit_have_time):
	* e-dateedit.c: (e_date_edit_have_time): Extend API to be able
	to check if time is set independently of date part.

2007-10-29  Kjartan Maraas  <kmaraas@gnome.org>

	* e-activity-handler.c: (e_activity_handler_new):
	* e-canvas.c: (e_canvas_new), (emit_event), (pick_current_item),
	(e_canvas_button):
	* e-combo-button.c: (menu_detacher), (impl_destroy),
	(impl_button_press_event):
	* e-combo-cell-editable.c: (e_combo_cell_editable_new):
	* e-expander.c: (e_expander_init), (e_expander_size_request),
	(e_expander_size_allocate), (e_expander_button_press),
	(e_expander_focus):
	* e-gui-utils.c: (e_popup_menu),
	(e_container_change_tab_order_callback):
	* e-image-chooser.c: (image_drag_data_received_cb):
	* e-info-label.c: (e_info_label_new):
	* e-map.c: (e_map_key_press), (e_map_new), (update_render_pixbuf),
	(blowup_window_area), (zoom_do), (set_scroll_area):
	* e-pilot-settings.c: (e_pilot_settings_get_source):
	* e-printable.c: (e_printable_will_fit):
	* e-reflow.c: (items_inserted), (model_changed), (set_empty),
	(e_reflow_event), (e_reflow_draw):
	* e-search-bar.c: (set_option):
	* e-search-bar.h:
	* e-unicode.c: (e_xml_get_translated_utf8_string_prop_by_name):
	
	Warning fixes:
	- NULL vs 0 vs FALSE
	- ANSIfication of function declarations.
	- Use non-deprecated GSignal functions
	- Don't mix different enum types

2007-10-31  Michael Monreal  <mmonreal@svn.gnome.org>

	** Fix for bug #483785

	* e-url-entry.c: (init):
	Use go-jump icon instead of stock_connect-to-url
	to get rid of deprecated icons from gnome-icon-theme.

2007-10-26  Tobias Mueller  <tobiasmue@svn.gnome.org>

	** Workaround for bug #395272

	* e-search-bar.c:
	Minor code cleanups and value checking

2007-10-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #417999

	* e-pilot-settings.c:
	Use ESourceComboBox instead of ESourceOptionMenu (deprecated).

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* e-cursors.c:
	* e-spinner.c:
	* e-unicode.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-10-01  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #413420

	* e-attachment.c: (file_ext_is): New helper function.
	* e-attachment.c: (attachment_guess_mime_type): Change mimetype
	if knows the extension and if the content of file is valid.

2007-09-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #423401

	* e-attachment.h: (e_attachment_new_remote_file):
	* e-attachment.c: (struct DownloadInfo), (async_progress_update_cb),
	(e_attachment_new_remote_file):
	* e-attachment-bar.c: (e_attachment_bar_attach_remote_file):
	Better error handling when attaching remote file.

2007-09-26  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #351333

	* e-search-bar.c: (paint_search_text), (option_activated_cb):
	Added more descriptive hint over search bar's option button.

2007-09-12  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476040

	* e-attachment-bar.c:
	Use "mail-attachment" icon for unknown attachment types.

2007-08-31  Srinivasa Ragavan  <sragavan@novell.com>

	** Move away from g_assert to g_return* critical warnings to debug
	them better.

	* e-canvas.c: (e_canvas_button):
	* e-cursors.c: (create_bitmap_and_mask_from_xpm), (e_cursors_init):
	* e-expander.c: (e_expander_focus):
	* e-search-bar.c: (clear_button_state_changed), (search_verb_cb):
	* e-selection-model.c: (e_selection_model_do_something),
	(e_selection_model_select_as_key_press):
	* e-spinner.c: (e_spinner_images_load), (e_spinner_expose):
	* e-task-bar.c: (reduce_displayed_activities_per_component):

2007-08-16  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #350539

	* e-attachment.c: (e_attachment_edit):
	* e-attachment-bar.c: (e_attachment_bar_create_attachment_cache),
	(update), (attach_to_multipart):
	Ensures non-NULL part.

2007-08-06  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #429234

	* e-attachment-bar.c: (destroy): Remove the weak ref while the purpose
	is achieved.

2007-08-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #335566

	* e-attachment-bar.c: (e_attachment_bar_create_attachment_cache),
	(update): When scaling image, ensures nonzero width or height.

2007-08-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #451599

	* e-attachment.c: (async_progress_update_cb): Timing of setting the
	attachment is downloaded has to be after creating the attachment.

2007-08-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #331729

	* e-selection-model.c: (move_selection): Don't call
	e_sorter_model_to_sorted when there is no selected row.

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* Makefile.am:
	Rename EXTRA_GNOME_CFLAGS to GNOME_PLATFORM_CFLAGS.
	Similarly for EXTRA_GNOME_LIBS.

2007-07-09  Chenthill Palanisamy  <pchenthill@novell.com>

	Fixes #387844
	* e-dateedit.c: Increase the buffer size.

	Committing on behalf of Makuchaku <mayank.gnu@gmail.com>
	
2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>
	
        ** Fix for bug #448223 from Gilles Dartiguelongue

	* e-search-bar.c: (set_option), (e_search_bar_set_viewoption),
	(e_search_bar_set_scopeoption):

2007-06-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #257118

	* e-search-bar.c: (set_clear_menuitem_sensitive),
	(clear_button_state_changed): Added two helper functions.
	* e-search-bar.c: (setup_standard_verbs), (setup_bonobo_menus):
	Using these helper functions, clear menu item is synchronized
	by changed state of clear_button of search bar.

2007-06-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #263207

	* e-filter-bar.c: (dialog_rule_changed): New callback
	for disabling OK button in dialog when rule isn't valid.
	* e-filter-bar.c: (do_advanced), (save_search_dialog):
	Connecting dialog_rule_changed on "changed" signal of
	actual rule.

2007-06-15  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #447727

	* e-info-label.c:
	* e-multi-config-dialog.c:
	* e-task-bar.c:
	Use ellipsized GtkLabels instead of EClippedLabels.

	* e-clipped-label.[ch]:
	Remove these files.  GTK+ provides this functionality now.

	* Makefile.am:
	Remove e-clipped-label.[ch].

2007-06-04  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-filter-bar.[c]: (e_filter_bar_new), (e_filter_bar_new_construct):
	Added a construct function.

	Committing on behalf of Keshav Upadhayaya <ukeshav@novell.com>

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #386503 from Matthew Barnes

	* e-multi-config-dialog.c: (impl_response):
	* e-send-options.c: (e_send_options_cb):

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #416031 from Martin Jürgens

	* e-charset-picker.c:

2007-06-02  Gilles Dartiguelongue  <dartigug@esiee.fr>

	** Fixes part of bug #441014

	* e-dateedit.c: (rebuild_time_popup):
	* e-filter-bar.c: (get_property), (xml_get_prop_int),
	(set_property):
	* e-image-chooser.c: (set_image_from_data),
	(image_drag_data_received_cb):
	* e-task-widget.c: (e_task_widget_construct):
	* e-unicode.c: (e_utf8_strstrcasedecomp), (e_utf8_strstrcase),
	(e_utf8_from_iconv_string_sized), (e_utf8_to_iconv_string_sized),
	(e_utf8_xml1_decode), (e_utf8_xml1_encode),
	(e_xml_get_translated_utf8_string_prop_by_name): various
	compilation cleanups.

+2007-05-25  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #441010

	* gal-combo-box.c:
	* gal-combo-box.h:
	* gal-combo-text.c:
	* gal-combo-text.h:
	Bye bye old widgets, go back to Motif!

	* Makefile.am:
	Remove the aforementioned files.

2007-05-21  Wang Xin  <jedy.wang@sun.com>

	* e-dateedit.c: Fixes #439049.

2006-02-28  Andre Klapper  <a9016009@gmx.de>

	* e-clipped-label.c: add translator comments for a string.
	Fixes bug #325118.

2007-05-03  Matthew Barnes  <mbarnes@redhat.com>

	* e-attachment-bar.c (e_attachment_bar_remove_selected):
	Emit "changed" signal.  (#434981)

2007-04-24  Matthew Barnes  <mbarnes@redhat.com>

	* e-task-widget.c: #include "e-spinner.h"  (#433005)
	Patch from Daniel Gryniewicz.

2007-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	* e-task-widget.c: (e_task_widget_construct): Show spinner instead of
	the component icon. 

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* e-combo-cell-editable.c (ecce_init):
	* e-dateedit.c (e_date_edit_set_editable):
	Use gtk_editable_set_editable() instead of gtk_entry_set_editable().

	* e-dateedit.c (create_children):
	* e-cell-date-edit.c (e_cell_date_edit_init):
	Use gtk_box_set_spacing() instead of gtk_button_box_set_spacing().
	Remove gtk_button_box_set_child_ipadding() and
	gtk_button_box_set_child_size().  Use style properties instead.

	* e-clipped-label.c (e_clipped_label_new):
	* e-combo-button.c (e_combo_button_new):
	* e-config-page.c (e_config_page_init):
	* e-multi-config-dialog.c (e_multi_config_dialog_init):
	* e-dropdown-button.c (e_dropdown_button_new):
	* e-cell-date-edit.c (e_cell_date_edit_new):
	* e-filter-bar.c (e_filter_bar_new):
	* e-url-entry.c (mnemonic_activate):
	* e-map.c (e_map_new):
	* e-search-bar.c (e_search_bar_new):
	* e-calendar.c (e_calendar_new):
	Use g_object_new() instead of gtk_type_new().

	* test-calendar.c (main):
	* test-info-label.c (main):
	* test-multi-config-dialog.c (main):
	* test-dropdown-button.c (main):
	Use gnome_program_init() instead of gnome_init().

	* e-combo-button.c (impl_released):
	Replace gtk_widget_draw() with GTK's 2-line implementation.

	* e-multi-config-dialog.c (set_page_timeout_callback),
	(e_multi_config_dialog_show_page):
	Use gtk_notebook_set_current_page() instead of
	gtk_notebook_set_page().

	* e-dropdown-button.c (impl_destroy):
	Use g_object_unref() instead of gtk_accel_group_unref().

	* e-cell-percent.c (show_percent_warning):
	* e-cell-date-edit.c (e_cell_date_edit_show_time_invalid_warning):
	Use GtkMessageDialog instead of GnomeMessageDialog.

	* e-cell-date-edit.c (e_cell_date_edit_select_matching_time),
	(e_cell_date_edit_on_time_selected):
	Use gtk_label_get_text() instead of gtk_label_get().

	* e-filter-bar.c (class_init):
	* gal-combo-box.c (gal_combo_box_init), (gtk_combo_popup_tear_off),
	(gtk_combo_popup_reparent):
	* e-map.c (e_map_set_scroll_adjustments):
	* e-task-widget.c (e_task_widget_construct):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* gal-combo-box.c (gtk_combo_tearoff_bg_copy),
	(gtk_combo_popup_reparent):
	* gal-combo-text.c (gal_combo_text_construct):
	Use gtk_widget_set_size_request() instead of gtk_widget_set_usize().

	* test-dropdown-button.c:
	Use GTK_STOCK_* constants instead of GNOME_STOCK_*.

	* e-calendar.c (e_calendar_init):
	Use g_signal_connect_swapped() instead of gtk_signal_connect_object().

	* e-calendar.c (e_calendar_destroy), (e_calendar_stop_auto_move):
	Use g_source_remove() instead of gtk_timeout_remove().

2007-04-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Added spinner widgets.

	* Makefile.am: Add them to the build
	* e-spinner.[ch]: Spinner widget for progress indiation.

2007-04-09  Jeff Cai<jeff.cai@sun.com>

	* e-dateedit.c: (rebuild_time_popup):
	Use e_time_format_time to ensure evolution and evolution-
	data-server use same translations.
	Fix #380843.

2007-03-29  Matthew Barnes  <mbarnes@redhat.com>

	* e-icon-entry.c:
	Fix "incompatible pointer type" warnings (#360619).

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* e-filter-bar.c (menubar_activated): Fix build breakage due to
	poorly placed preprocessor condition.

2007-03-27  Matthew Barnes  <mbarnes@redhat.com>

	* e-filter-bar.c:
	* e-multi-config-dialog.c:
	Don't mix declarations and code (#405495).

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-03-16  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #360240

	* e-calendar-item.c (e_calendar_item_unrealize):
	* e-icon-entry.c (e_icon_entry_pack_widget):
	Remove unused variables.

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #368983 from Ebby Wiselyn

	* e-filter-bar.c: (menubar_activated):

2007-02-12  Srinivasa Ragavan  <sragavan@novell.com>

	** Print migration updates from Ebby Wiselyn

	* e-printable.c: (e_printable_print_page), (e_printable_height),
	(e_printable_will_fit):
	* e-printable.h:

2007-01-08  Harish Krishnaswamy  <kharish@novell.com>

	* e-filter-bar.c: (build_items): Initialize ESearchBarItem
	type to ESB_ITEMTYPE_RADIO. Fixes #382860.
		
2006-12-04  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #357970

	* e-calendar-item.c:
	* e-canvas-background.c:
	* e-filter-bar.c:
	* e-search-bar.c:
	* gal-combo-box.c:
	Don't call deprecated GLib / GDK functions.

	* e-colors.c (e_color_alloc): Remove unused function.

2006-12-04  Harish Krishnaswamy  <kharish@novell.com>

	* e-filter-bar.c: (build_items): Fix read of uninitialized
	ESearchBarItems. Partially fixes #381642.

2006-11-21  Harish Krishnaswamy  <kharish@novell.com>

	* e-filter-bar.c: (e_filter_bar_new): type should be
	initialized to 0, not NULL.

2006-11-03  Parthasarathi Susarla <ajaysusarla@gmail.com>

	** Fixes bug #357492
	* e-attachment-bar.c: (e_attachment_bar_remove_selected):
	put the attachment pointes into a temporary array. Free the
	pointers and the array after going thru the entire list
	This prevents a crash and also fixes the issue of only few 
	attachments getting deleted.

2006-10-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #360237 & bug #359236

	* e-filter-bar.c: (rule_advanced_response), (set_property): Fix for a
	crash while saving empty search.

2006-10-03  Francisco Javier F. Serrador  <serrador@tecknolabs.com>

	* e-dateedit.c: Make two strings translatable.

2006-10-02 Harish Krishnaswamy <kharish@novell.com>
	
	* Revert the previous patch as per rel-team
	disapproval on the commit.

2006-08-23 Ushveen kaur <kushveen@novell.com>

	** Fix for bug #329694

	* e-charset-picker.c : Translator comment added for "logical".

2006-09-28  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #335814
	
	* e-charset-picker.c: Name and subclass changed for
	E_CHARSET_HEBREW from "ISO-8859-8","Visual" to "ISO-8859-8-i","Logical".

2006-09-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes a lot of search issues.

	* e-filter-bar.c: (rule_advanced_response), (do_advanced),
	(menubar_activated), (option_changed), (free_items),
	(get_property), (set_property):
	* e-search-bar.c: (clear_search), (clear_verb_cb),
	(paint_search_text), (e_search_bar_paint), (viewitem_activated_cb),
	(scopeitem_activated_cb), (option_activated_cb),
	(clear_button_clicked_cb), (scopeoption_changed_cb), (set_option),
	(init), (e_search_bar_construct), (e_search_bar_set_viewitem_id),
	(e_search_bar_set_item_id), (e_search_bar_set_item_menu),
	(e_search_bar_set_search_scope), (e_search_bar_set_ids):
	* e-search-bar.h:

2006-09-29  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #341474 patch from Ushveen
	
	* e-attachment-bar.c: (size_to_string): Use 
	gnome_vfs_format_file_size_for_display instead of manual calculations.

2006-09-12  Ushveen Kaur  <kushveen@novell.com>

	** Fix for bug #325614

	* e-task-widget.c (e_task_widget_update) : Translator comment
	added.

2006-09-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #341099. 
	* e-canvas-item.c: (e_canvas_unrealize):
	Set second argument of gtk_im_context_set_client_window to NULL.

2006-08-28  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #353059

	* e-search-bar.c: (e_search_bar_set_scopeoption): Added translatable
	options to search strings, which are already translated.

2006-08-23  Behnam Esfahbod  <behnam@zwnj.org>
  	 
	* e-calendar.c:
	* e-calendar-item.c:
	flip month view in RTL locale - fixes bug 342443.
	committed by Andre Klapper

2006-08-23  Matthew Barnes  <mbarnes@redhat.com>
  	 
	* e-multi-config-dialog.c:
	improve GError initialization code - fixes bug 352423.
	committed by Andre Klapper

2006-08-07 Ushveen Kaur <kushveen@novell.com>

	** Fix for bug #347238

	* e-attachment-bar.c: Changed the file permission changed to 644 
	while saving the attachment.

2006-08-21  Li Yuan <li.yuan@sun.com>

	** Fixes bug #348753

	* e-search-bar.c: (entry_key_press_cb), (e_search_bar_construct):
	Add accelerate key to the search bar. <ALT ARROW_DOWN> open option window.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	* e-filter-bar.c: (rule_editor_destroyed),
	(rule_advanced_response), (do_advanced), (save_search_dialog),
	(menubar_activated), (option_changed), (set_property):
	* e-search-bar.[ch]: (clear_search), (clear_verb_cb),
	(paint_search_text), (entry_focus_out_cb), (entry_changed_cb),
	(scopeoption_changed_cb), (set_option), (class_init), (init),
	(e_search_bar_construct), (e_search_bar_set_scopeoption),
	(e_search_bar_set_item_id), (e_search_bar_get_text),
	(e_search_bar_scope_enable): Fixes a lot of search issue.

2006-08-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug 347430
	
	* e-cell-date-edit.c: (e_cell_date_edit_update_cell): commit the text
	on updation of cell.

2006-08-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from Pavel Roskin.

	* e-icon-entry.c: Added missing headers.

2006-08-18  Srinivasa Ragavan  <sragavan@novell.com>

	* e-filter-bar.c: (rule_editor_destroyed),
	(rule_advanced_response), (do_advanced), (save_search_dialog),
	(menubar_activated), (option_changed), (set_property):
	* e-search-bar.c: (clear_search), (clear_verb_cb),
	(paint_search_text), (entry_focus_out_cb), (entry_changed_cb),
	(scopeoption_changed_cb), (set_option), (class_init), (init),
	(e_search_bar_construct), (e_search_bar_set_scopeoption),
	(e_search_bar_set_item_id), (e_search_bar_get_text),
	(e_search_bar_scope_enable):
	* e-search-bar.h:

2006-08-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #341482
	
	* e-attachment-bar.c: (eab_drag_data_get), (eab_icon_clicked_cb):
	* e-attachment.c: (e_attachment_new),
	(e_attachment_build_remote_file): Use file:// as the uri.

2006-08-04  Johnny Jacob  <jjohnny@novell.com>

	* e-icon-entry.c: (set_cursor) : Added. Change cursor over icon.
	(e_icon_entry_create_button) : Handle enter/leave-notify signals
	for changing cursor.
	* e-search-bar.c: (e_search_bar_construct) : Added mnemonic for
	"Sho_w". Added tooltips for e-icon-entry.
	(option_activated_cb) : Set the selected item's label in tooltip.
	
	
2006-08-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #349565

	* e-search-bar.c: (clear_search): Dont clear the criteria.

2006-07-28  Srinivasa Ragavan  <sragavan@novell.com>

	* e-calendar-item.c: Removed the hardcoded ENABLE_CAIRO for tag
	calendar.

2006-07-22 Yuri Pankov <yuri.pankov@gmail.com>
	
	Reviewed by Harish Krishnaswamy <kharish@novell.com>
	* e-icon-entry.c:  Add missing headers. Fixes #347689.

2006-07-20  Srinivasa Ragavan  <sragavan@novell.com>

	* e-search-bar.c: (e_search_bar_construct):  Modified
	the mnemonics for avoiding the conflict with attachment bar.

2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* e-attachment.glade: 
	* gal-categories.glade: 
	remove "*" from translation. Fixes bug #331147.

2006-07-17  Sankar P  <psankar@novell.com>

	* Replaced classification with security in the send-options
	so that the client ui looks consistent (GW)
	* e-send-options.[c|h|glade]:
	
2006-07-11  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #347166
	
	* widgets/misc.e-search-bar.c: (set_option):
	remove gtk_option_menu_set_history().

2006-06-07 Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #341333
	
	* e-dateedit.c:	accelarator for 'now'('w') and 'today'('t') 
	'None'('n')	
	
2006-07-11  Li Yuan <li.yuan@sun.com>

	Fixes bug #345402

	* e-dateedit.c: (on_date_popup_key_press):
	Grab the popup window when some key except ESC is pressed.

2006-07-04  Andre Klapper  <a9016009@gmx.de>

	* e-search-bar.c: fixing two typos, adding translator comments.

2006-07-03  Harry Lu  <harry.lu@sun.com>

	Fix compile error in solaris

	* e-filter-bar.h: E_FILTERBAR_SEPARATOR should have 3 members.
	* e-search-bar.h: add the declaration of e_search_bar_set_viewitem_id.

2006-06-19  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #252814
	Committing a patch from Oswald.

	* e-combo-button.c: (e_combo_button_init),
	(e_combo_button_pack_hbox), (e_combo_button_pack_vbox):
	* e-combo-button.h: Adds new packing support for supporting toolbar
	options.

2006-06-19  Chpe <chpe@gnome.org>

	* e-combo-button.c: (paint): Fix for bug #262210

2006-06-09  Johnny Jacob  <johnnyjacob@gmail.com>

	* e-dateedit.c (): Removing aggressive time check when entering a
	date in the editor. Fixes bug #335400. (Committed by Andre Klapper)

2006-06-08  Jeffrey Stedfast  <fejj@novell.com>

	* e-attachment-bar.c (attachment_destroy): Call update (bar); the
	rest of the fix for bug #178631.

2006-06-07  Federico Mena Quintero  <federico@novell.com>

	* e-map.c (e_map_class_init): Don't use gtk_signal_new() for the
	set_scroll_adjustments signal, and use the correct marshaler.
	Fixes bug #331743.

2006-06-02  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug 343494

	* e-search-bar.c (add_button): Use gtk_button_set_image if GTK+ is
	2.6 or higher.

2006-05-30  Li Yuan <li.yuan@sun.com>

	Fix for #343280.

	* e-search-bar.c (add_button): No need to add label when we use
	gtk_button_new_from_stock to create a button.

2006-05-26  Jeffrey Stedfast  <fejj@novell.com>

	Fix for Novell bug #178631

	* e-attachment-bar.c: Changed the EAttachmentBarPrivate struct, we
	no longer use a linked list, instead we use a GPtrArray - faster,
	simpler (plus all the code used indexes anyway, so it was really
	bizarre).
	(free_attachment_list): Removed.
	(attachment_destroy): New GWeakNotify callback for when an
	EAttachment object gets destroyed. Remove the attachment from the
	attachments array.
	(add_common): Updated to add to an array rather than a linked
	list. Also weak_ref the attachment object.
	(remove_attachment): Removed.
	(update): Updated to use the array instead of linked list of
	attachments.
	(e_attachment_bar_remove_selected): Same.
	(e_attachment_bar_set_width): Same.
	(e_attachment_bar_edit_selected): Same.
	(e_attachment_bar_get_selected): Same.
	(e_attachment_bar_get_attachment): Same.
	(e_attachment_bar_get_all_attachments): Same and also optimised
	since we can cheat now without having to g_slist_reverse.
	(e_attachment_bar_get_parts): Same.
	(destroy): Same.
	(eab_drag_data_get): Same.
	(init): Init attachments to a g_ptr_array_new
	(e_attachment_bar_to_multipart): Updated to use the attachments
	array.
	(e_attachment_bar_get_num_attachments): Updated to return the
	attachments->len.
	(e_attachment_bar_get_download_count): Updated to use the array.

	* e-attachment.c (finalise): Close the editor dialog if it is
	open.
	(async_progress_update_cb): If the phase is COMPLETE but the
	file_size is 0, then treat it as an error. In the error case,
	unref the attachment object (this will magically remove it from
	the EAttachmentBar).
	(close_cb): Don't unref the attachment object here anymore.
	(e_attachment_edit): Don't ref the EAttachment anymore.

2006-05-25  Srinivasa Ragavan  <sragavan@novell.com>

	* e-attachment-bar.c (update, eab_icon_clicked_cb),
	(e_attachment_bar_attach_remote_file):
	
	* e-attachment-bar.h:

	* e-attachment.c (e_attachment_new_remote_file),
	(e_attachment_build_remote_file): Added code to specify the
	attachment type for remote files.  Also added code to save files
	to CamelStreamVfs

2006-05-04  Rajeev Ramanathan  <rajeevramanathan_2004@yahoo.co.in>

	* e-calendar-item.c (e_calendar_item_draw),
	(e_calendar_item_draw_month, e_calendar_item_draw_day_numbers),
	(layout_set_day_text): enable build without cairo using
	ENABLE_CAIRO macro. Also it fixes a bold issue, where entire
	evolution appears with bold text.

2006-04-27  Boby Wang <boby.wang@sun.com>

	** Fixes bug #339138

	* e-calendar.c (e_calendar_init): Correct the button's accessible
	name.

2006-04-27  Boby Wang  <boby.wang@sun.com>

	** Fixes bug #332821

	* e-expander.c (e_expander_class_init): Implement the
	accessibility of EExpander.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	* e-search-bar.c (append_xml_menu_item, setup_bonobo_menus): Added
	icons to search menu.

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	* e-search-bar.c (add_button, e_search_bar_construct): Adding
	icons for find and clear buttons. (Patch from PR Suman)

2006-04-26  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from charu_jayaprakasam@yahoo.com fixes bug #335861

	* e-search-bar.c (e_search_bar_construct): Change the mnemonics
	for Find Now button.

2006-04-24  Srinivasa Ragavan  <sragavan@novell.com>

	* e-calendar-item.c (e_calendar_item_draw),
	(e_calendar_item_draw_month, e_calendar_item_draw_day_numbers):
	Used Cairo to draw the Tag Calendar. (Rajeev)

2006-04-22  Srinivasa Ragavan  <sragavan@novell.com>

	* e-attachment-bar.c (e_attachment_bar_create_attachment_cache):
	Added a new function that creates a attachment with a image cache.

2006-03-28  Li Yuan  <li.yuan@sun.com>

	**Fixes bug #335618

	* e-selection-model-array.c (e_selection_model_array_delete_rows):
	If the row being deleted is the last one, we should change the
	selection_start_row.

2006-03-06  Simon Zheng  <simon.zheng@sun.com>

	Fixes bug #332140

	* e-attachment-bar.c (temp_save_part): Changed to transfer
	filenames from utf-8 to glib encoding before really saving files.

2006-03-06  Jeff Cai  <jeff.cai@sun.com>

	** Fixes for 333235

	* e-combo-button.c (paint): If width of a widget is 0, don't draw
	it.

2006-02-28  Devashish Sharma  <sdevashish@novell.com>

	* e-reflow.c (do_adjustment): Check and see if reflow->items and
	reflow->items[row] are NULL or not.  Fixes Bug # 331998.

	Patch submitted by Irene Huang <Irene.Huang@sun.com>

2006-02-24  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #322789

	* e-image-chooser.c (set_image_from_data): Added code to get the
	pixbuf after closing the loaded.

2006-02-13  Andre Klapper  <a9016009@gmx.de>

	* e-charset-picker.c: adding thai support.
	fixes the UI part of bug 251062.

2006-02-11  Karsten Bräckelmann  <guenther@rudersport.de>

	* e-search-bar.c (activate_by_subitems): 
	* e-dateedit.c (e_date_edit_new, create_children) 
	(create_children, create_children): 
	* e-calendar.c (e_calendar_init): 
	Change a11y names. Fixes part of bug #330723.

2006-01-16  Nancy Cai <nancy.cai@sun.com>

	** Fixes bug #326649

	* e-multi-config-dialog.c (set_page_timeout_callback): make the
	preferences dialog's keyboard navigation more consistent.

2006-01-13  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #326265

	* e-charset-picker.c (e_charset_picker_bonobo_ui_populate): Added
	mnemonics to "Character Encoding" menu.

2006-01-11  Chenthill Palanisamy  <pchenthill@novell.com>

	* Makefile.am: Remove the e-util-marshal.list from extra dist.
	Fixes a build break.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* Makefile.am:
	* e-dateedit.c:
	* e-image-chooser.c:
	* e-printable.c:
	* e-reflow-model.c:
	* e-reflow.c:
	* e-search-bar.c:
	* e-selection-model.c:
	* gal-combo-box.c:
	Remove e-util-marshal.list in current directory, and
	use the copy in evolution/e-util directory instead.

	*e-util-marshal.list: removed

2006-01-06  Parthasarathi Susarla <sparthasarathi@novell.com>

	* e-search-bar.c (clear_verb_cb): assign the data first before
	accessing it.

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	reviewed by: Srinivasa Ragavan <sragavan@novell.com>

	* e-canvas-background.c (ecb_style_set): Set the foreground only
	if the widget has already been realized.  Fixes #309618.

2005-12-21  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #324590

	* e-search-bar.c (search_now_verb_cb, clear_verb_cb): Added code
	to clear search entry from menu.

2005-12-20  Johnny Jacob  <johnnyjacob@gmail.com>

	** See Bug #246233

	* e-filter-bar.c (member_activated): Changed "Search Editor" to
	"Searches"

2005-12-18  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Link with bootstrap libs on Win32. Use
	EVOLUTION_IMAGES instead of MAP_DIR for uniformity. Use
	EVOLUTION_MAIL_CFLAGS instead of E_WIDGETS_CFLAGS. Use privsolib
	instead of privlib (no difference on Unix). Use -no-undefined on
	Win32. Link with all required libraries.

	* e-attachment.c
	* e-send-options.c: Use gstdio wrappers. Construct glade file name
	at run-time.

	* e-map.c: Construct map file name at run-time.

	* gal-combo-text.c (strcase_equal): Use g_ascii_strcasecmp().
	(strcase_hash): Use g_ascii_tolower().

2005-12-15  Srinivasa Ragavan  <sragavan@novell.com>

	* e-filter-bar.c (rule_advanced_response, option_changed)
	(set_property): Added code to Show color in search widget.  *

	* e-search-bar.c (entry_activated_cb),
	(activate_button_clicked_cb, clear_button_clicked_cb): Added code
	to show color in search widget, when the filter is active.

2005-11-24  Tor Lillqvist  <tml@novell.com>

	* e-dateedit.c:
	* e-cell-date-edit.c: Include e-time-utils.h from libedataserver
	instead of using evolution's copy which is going away.

2005-11-23  Johnny Jacob  <johnnyjacob@gmail.com>

	* e-dateedit.c (on_date_entry_focus_out, on_time_entry_focus_out):
	Validation for date and time during focus out event.

2005-11-22  Johnny Jacob  <johnnyjacob@gmail.com>

	** See Bug #303856

	* e-dateedit.c (create_children): Added a signal handler for
	date_entry's "key_release_event".

2005-11-17  Harish Krishnaswamy  <kharish@novell.com>

	* e-attachment-bar.c (update, e_attachment_bar_set_width): Fix a
	division-by-zero error crasher.

2005-11-15  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment-bar.c (e_attachment_bar_get_all_attachments): Added
	a function to get all attachments of the attachment bar for plugin
	purposes.

2005-11-14  Chenthill Palanisamy  <pchenthill@novell.com>

	* e-dateedit.c (create_children): Adjusted the size for the
	dateedit widgets.

2005-11-14  Srinivasa Ragavan <sragavan@novell.com>

	* e-dateedit.c (create_children): Set a size for the date
	edit widgets, so that it doesnt expand too much.

2005-09-28  Veerapuram Varadhan <vvaradhan@novell.com>

	* e-attachment-bar.c (update): gtk_pixbuf_add_alpha returns a
	newly allocated pixbuf, so, free the original one.
	
2005-09-28  Tor Lillqvist  <tml@novell.com>

	* e-charset-picker.c (e_charset_picker_new)
	(e_charset_picker_bonobo_ui_populate): Use g_ascii_strcasecmp()
	instead of strcasecmp(). We are comparing to strings known to be
	plain ASCII, so just casefolding ASCII is enough. Also better for
	portability.

2005-09-20  Devashish Sharma  <sdevashish@novell.com>

	* e-search-bar.c (subitem_activated_cb): Emits the signal "search
	activated" when after selecting option "Category is" in search bar
	category is selected. So dont have to explicitly click "Find Now".
	Fixes #263269.
	
2005-08-22  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment.c (e_attachment_build_remote_file): 
	Fix for bug #314136. Shows filename in the remote download in
	composer.

2005-08-22  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment-bar.c (update): Better space management.
	Kills one extra row that happens some times.
	(e_attachment_bar_set_width): Just adjusts the size instead of
	rebuild of the bar, which is the cause for the freeze. Fixes the 
	bug #313799. Remove the function e_attachment_bar_refresh

	* e-attachment-bar.h: Remove the function e_attachment_bar_refresh

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* e-send-options.c (get_widgets): cast warning away.

	* e-calendar-item.c (e_calendar_item_realize): remove some unused
	vars.

2005-08-17  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment-bar.c (eab_drag_data_get): Use camel_url to
	construct url
	(eab_icon_clicked_cb, e_attachment_bar_new): Fixed part of bug
	#312224. It handles double click on a attachment icon and calls
	gnome_url_show.

	* e-attachment.c (finalise, init): Add a new member to preserve
	the stored location
	(e_attachment_new)(e_attachment_build_remote_file): Camel_url to
	construct urls
	
2005-08-16  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment.c (download_to_local_path, e_attachment_edit):
	Fixed few warnings

2005-08-16  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment.c (finalise, e_attachment_new)
	(e_attachment_build_remote_file, e_attachment_new_from_mime_part)
	(ok_cb): Maintain the filename of the attachment in the structure
	and free it in finalize.

	* e-attachment-bar.c (update): For display consider the filename
	from the structure before from the part.

2005-08-03  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c (build_items): revert dobey's last patch here, it
	completely broke customisation of the menu.

2005-08-11  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment-bar.c (e_attachment_bar_refresh): Added a function
	to force refresh/resize the icons.

2005-08-02  David Malcolm  <dmalcolm@redhat.com>

	* e-attachment-bar.c (update_remote_file): escape the "%"
	character correctly.

2005-07-29  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment.c (e_attachment_new_from_mime_part): used ref
	instead of copying the entire mime part.

2005-07-15  Diego Gonzalez    <diego@pemas.net>

	* e-image-chooser.c (image_drag_data_received_cb): modificatio to
	avoid getting into an infinite loop. Also remove some debug
	output.
	(set_image_from_data): substitute calls to gdk_pixbuf_unref and
	gdk_pixbuf_ref and use g_object_ref/unref instead. The first ones
	are deprecated API.  Fixes #310488

2005-07-25  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment-bar.c (e_attachment_bar_remove_selected)
	(e_attachment_bar_edit_selected)
	(e_attachment_bar_get_attachment, e_attachment_bar_get_parts)
	(e_attachment_bar_get_download_count)
	(e_attachment_bar_attach_remote_file): Added checks for the
	parameters.
	
2005-07-20  Vivek Jain  <jvivek@novell.com>

	* e-send-options.h: ESendOptionsDialogClass: has a member new
	virtual method for default callback of "sod_response"

	* e-send-options.c: introduced a new signal "sod_response"
	captures the response for the child dialog and makes it available
	at the object level (useful for the external members invoking the
	dialog)

2005-07-20  Srinivasa Ragavan <sragavan@novell.com>

	* e-attachment-bar.c (remove_attachment, update)
	(e_attachment_bar_get_selector, e_attachment_bar_get_attachment)
	(destroy, init, e_attachment_bar_new)
	(e_attachment_bar_add_attachment)
	(e_attachment_bar_attach_remote_file): Cleaned up most of
	it. Added the DnD.

	* e-attachment.c (real_changed, class_init, init)
	(e_attachment_new, e_attachment_new_remote_file)
	(e_attachment_build_remote_file): Moved the remote download code
	from bar to here and few cleanups.
	
2005-07-11  Srinivasa Ragavan <sragavan@novell.com>
	
	* Makefile.am: Added e-attachment-bar.[ch], e-attachment.[ch],
	and e-attachment.glade.

	* e-attachment.[ch]: Merge of em-attachment.[ch] and
	cal-attachment.[ch]

	* e-attachment-bar.[ch]: Merge of em-attachment-bar.[ch] and
	cal-attachment-bar.[ch].

2005-06-23  Kaushal Kumar  <kakumar@novell.com>

	* Makefile.am: Use 'misc' for widgetsincludedir, instead of 
	'widgets', to match source directory name and fix 
	evolution-exchange build.

2005-05-31  Li Yuan  <li.yuan@sun.com>

	* e-dateedit.c (e_date_edit_update_date_entry): add relation to
	date_button.

	Fixes #302267

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* Makefile.am: move e-error.[ch] and e-system-errors.xml to
	e-util/. remove test-error.

2005-05-13  Rodney Dawes  <dobey@novell.com>

	* e-filter-bar.[ch]: Update for the new menu layout

2005-05-12  Shreyas Srinivasan	<sshreyas@novell.com>

	* e-send-options.c: Fixed #272005

2005-05-06  Sarfraaz Ahmed <asarfraaz@novell.com>

	* e-send-options.glade: Fixed a typo. #273095

2005-05-06  Harish Krishnaswamy  <kharish@novell.com>

	* e-send-options.glade: Fix for bugs #273096, #273097

2005-03-01  Jeffrey Stedfast  <fejj@novell.com>

	* e-search-bar.c (subitem_activated_cb): Make the entry widget
	grab focus. Fixes bug #60551.

2005-02-21  Rodney Dawes  <dobey@novell.com>

	* e-combo-button.c (paint): Fix the calculation of which shadow type
	to use to be more appropriate for the widget state and relief
	Always call gtk_box_paint and not only in special cases like GtkButton
	(e_combo_button_init): Change the arrow packing to pack_end

	Fixes #54503

2005-02-02  Li Yuan  <li.yuan@sun.com>

	* e-url-entry.c (init): add a11y name to url link button.

2005-01-26  Rodney Dawes  <dobey@novell.com>

	* e-error.c (e_error_newv): Fix up spacing to be HIG compliant for
	the borders around the dialogs

2005-01-25  Not Zed  <NotZed@Ximian.com>

	* e-error.c: turn off debug output, people think its a significant
	error.

2005-01-24  Mengjie Yu  <meng-jie.yu@sun.com>

	* e-search-bar.c (set_option): add a11y name for the option menu.

2005-01-20  Not Zed  <NotZed@Ximian.com>

	** See bug #64964.

	* e-error.c (e_error_newv): just use add_button, not
	add_action_widget, for stock+label widgets, since they both show
	the same, and for some reason set_default_response doesn't work
	otherwise.

2005-01-20  Harry Lu  <harry.lu@sun.com>

	* e-search-bar.c (activate_by_subitems): add a translater note.

2005-01-19  Harry Lu  <harry.lu@sun.com>

	Fix for 46359, enable "Alt+Down Arrow" to show the popup for
	e-combo-cell-editable.c.

	* e-combo-cell-editable.c (show_popup): rewrite it to a more
	generic function.
	(button_clicked_cb): call the new show_popup function.
	(entry_key_press_event_cb): show popup if "Alt+Down Arrow".
	(ecce_grab_focus): new function.
	(ecce_class_init): add grab_focus handler so that the entry can
	get focus.

2005-01-17  Harry Lu  <harry.lu@sun.com>

	Fix for 62831.

	* e-search-bar.c (activate_by_subitems): add an a11y name for the
	search entry.

2005-01-12 Chenthill Palanisamy <pchenthill@novell.com>

	* e-send-options.c (e_send_options_get_widgets_data),
	(e_send_options_fill_widgets_with_data): Get the value for the
	autodelete toggle button
	(page_changed_cb): Do not hide the classification label and its
	combo box here.

2005-01-10 Chenthill Palanisamy <pchenthill@novell.com>

	* e-send-options.c (e_send_options_get_widgets_data),
	(e_send_options_fill_widgets_with_data, page_changed_cb),
	(init_widgets, get_widgets, setup_widgets),
	(e_sendoptions_set_global, e_sendoptions_dialog_run),
	(e_sendoptions_dialog_finalize, e_sendoptions_dialog_dispose),
	(e_sendoptions_dialog_init, e_sendoptions_dialog_class_init),
	(e_sendoptions_dialog_get_type): Added code to support global
	options.  Filled the finalize and dispose functions.

	* e-send-options.glade: Changed a label id.

	* e-send-options.h: Added the set_global function.

2005-01-06  JP Rosevear  <jpr@novell.com>

	* Makefile.am: dist the glade file

2005-01-06 Chenthill Palanisamy <pchenthill@novell.com>
	
	Commiting the files mentioned below again to HEAD since it 
	was not added in head. 

2005-01-06 Chenthill Palanisamy <pchenthill@novell.com>
	
	merging send options

	* Makefile.am:

	* e-send-options.[ch]: Widgets for the send options dialog

	* e-send-options.glade:	Contains interface for the dialog

2005-01-04  Harry Lu  <harry.lu@sun.com>

	* misc/e-combo-button.c (e_combo_button_popup): new internal
	function to popup the menu.
	(impl_button_press_event): call the new function.
	(e_combo_button_class_init): init a11y.
	(e_combo_button_get_label): new function to return label.
	(e_combo_button_popup_menu): new function to popup menu.

	* misc/e-combo-button.h: add function declarations.

2004-12-17  Not Zed  <NotZed@Ximian.com>

	* e-error.c (ee_load, e_error_newv): translate strings based on
	translation-domain, if supplied.

2004-12-14  Rodney Dawes  <dobey@novell.com>

	* e-calendar-item.c (e_calendar_item_draw): Use gtk_paint_foo instead
	of the deprecated gtk_draw_foo functions
	(e_calendar_item_get_day_style): Use colors from the theme for the
	background and foreground of various items
	
	* test-calendar.c (main): Don't set a callback for getting the day
	style, we want the test app to use the widget defaults
	(get_day_style): Remove all this duplicated code as we want to use
	the widget default colors for day fg/bg

2004-11-26  JP Rosevear  <jpr@novell.com>

	* test-info-label.c: test prog

	* e-url-entry.c: get image directly from icon factory

	* e-combo-button.c: ditto; convert to G_DEFINE_TYPE

	* e-activity-handler.c: convert to G_DEFINE_TYPE
	
	* e-task-widget.c: ditto

	* e-task-bar.c: ditto

	* e-multi-config-dialog.c: ditto

	* e-dropdown-button.c: ditto

	* e-cell-renderer-combo.c: ditto

	* e-cell-date-edit.c: ditto

	* e-calendar.c: ditto

	* e-calendar-item.c: ditto

	* Makefile.am: don't build the title bar, build an info label test
	program

2004-10-28  Li Yuan  <li.yuan@sun.com>

	* e-calendar.c (e_calendar_init, e_calendar_new): Make
	accessibility name and description translatable.  Add a atk name
	for the two buttons so that they can be UI grabbed by GOK.

	* e-dateedit.c (e_date_edit_new, create_children): Add a name for
	atk object.  Make accessibility name and description translatable.
	Add name and description for the date_entry, date_button and
	time_combo.
	(e_date_edit_show_date_popup), (hide_date_popup): Grab and ungrab
	keyboard.  add_relation(): New function to add labelled_by
	relation for entry and combobox.

	* e-map.c (e_map_new): Add a name for world map widget.  Make
	accessibility name and description translatable.  Set the atk role
	to image.

	* e-multi-config-dialog.c (e_multi_config_dialog_add_page): Add an
	atk name for the page.
	
2004-10-27  JP Rosevear  <jpr@novell.com>

	* Makefile.am: use E_WIDGET instead of GNOME_FULL

2004-10-14  JP Rosevear  <jpr@novell.com>

	* e-pilot-settings.c: fix e-source-option-menu include

2004-10-13  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't build source selector or source option menu
	or test programs any more

2004-10-08  Harry Lu  <harry.lu@sun.com>

	* e-source-selector.c (e_source_selector_popup_menu),
	(class_init): implement popup_menu so that popup menu can be shown
	with Shift+F10.

2004-10-06  JP Rosevear  <jpr@novell.com>
 
 	Fixes #66164
 	
	* e-cell-date-edit.c (e_cell_date_edit_get_popup_pos): replicate
	fix to e-cell-combo.c by NotZed
	
2004-10-01  Not Zed  <NotZed@Ximian.com>

	* e-util-marshal.list: added boolean object boxed.

	* e-source-selector.c (class_init): add new 'popup event' signal,
	to replace fill_popup_menu.
	(selector_button_press_event): emit a POPUP_EVENT rather than a
	FILL_POPUP_MENU.

2004-09-13  Rodney Dawes  <dobey@novell.com>

	* e-multi-config-dialog.c (impl_response):
	Point at "config-prefs" instead of "config" for the help section

2004-08-03  JP Rosevear  <jpr@novell.com>

	* Makefile.am: Really dist the pilot sources this time

2004-08-03  JP Rosevear  <jpr@novell.com>

	* Makefile.am: Dist the pilot sources

2004-08-01  JP Rosevear  <jpr@novell.com>

	* e-pilot-settings.c (e_pilot_settings_get_source): accessor
	(e_pilot_settings_set_source): ditto
	(build_ui): show the source option menu
	(e_pilot_settings_new): use above

	* e-pilot-settings.h: add prototypes

2004-07-20  JP Rosevear  <jpr@novell.com>

	* Makefile.am: build pilot setting

2004-07-26  JP Rosevear  <jpr@novell.com>
 
	* e-search-bar.c (setup_bonobo_menus): use ctrl-shift-q to clear
	search bar
	
2004-07-20  Not Zed  <NotZed@Ximian.com>

	* e-error.c: include config.h.  See #61395.

2004-07-20  JP Rosevear  <jpr@novell.com>

	* e-source-selector.h: remove proto

	* e-source-selector.c (selection_func): don't force the item to be
	checked
	(cell_toggled_callback): allow the cell to be untoggled even if
	its primary
	(init): set the pixbuf renderable
	(e_source_selector_set_toggle_selection): no longer necessary

2004-07-16  Chris Toshok  <toshok@ximian.com>

	* e-clipped-label.c (e_clipped_label_recalc_chars_displayed):
	remove debug spew and fix the display when
	pango_layout_line_x_to_index returns FALSE (before we were drawing
	both the ellipses and the text).

2004-07-12  Jeffrey Stedfast  <fejj@novell.com>

	* e-charset-picker.c: s/GB-2312/GB2312/ - fixes bug #61385.

2004-06-24  Rodney Dawes  <dobey@novell.com>

	* e-error.c (e_error_newv): Fix alignment of the icon to be 0x0

	Fixes #60493

2004-06-24  Rodney Dawes  <dobey@novell.com>

	* e-source-selector.[ch]: Add new "select_new" property to
	private structure of the ESourceSelector
	(rebuild_cb): Add code to select the new source, and cause the
	selection_changed signal to get emitted, if we select new sources
	(init): Don't select new sources by default
	(e_source_selector_set_select_new): Add function to set whether or not
	we want to select new sources when we add them

2004-06-22  Hans Petter Jansson  <hpj@ximian.com>

	* e-source-selector.c (e_source_selector_peek_primary_selection):
	Add preconditions. Make sure garbage or NULL data doesn't get
	used.
	
2004-06-16  Not Zed  <NotZed@Ximian.com>

	* e-source-selector.c (cell_toggled_callback): fix a path leak and
	maek the code more structured.
	(e_source_selector_set_toggle_selection): set the mode on whether
	you can toggle the currnet selection or not.
	(cell_toggled_callback): implement set_toggle_selection behaviour.

2004-06-11  Larry Ewing  <lewing@ximian.com>

	* e-source-selector.c: make the source selector use a colock block
	instead of setting the foreground to indicate the source color.
	(pixbuf_cell_data_func): actually initialize the pixbuf (bad
	larry).
	(pixbuf_cell_data_func): clean up warnings.  (double bad larry).
	(pixbuf_cell_data_func): fix the appearance a little.
	
2004-06-03  William Jon McCann  <mccann@jhu.edu>

	* e-error.c (e_error_newv): Add HIG border width for dialog window.

2004-06-01  Christian Neumair  <chris@gnome-de.org>

	* Makefile.am (test_error_LDADD): Link test-error against libeutil.

2004-06-01  Anders Carlsson  <andersca@gnome.org>

	* e-expander.c (e_expander_expose): Don't propagate the expose
	to the label widget, the parent expose handler does that.

2004-05-28  Anders Carlsson  <andersca@gnome.org>

	* e-error.c (e_error_newv): Use the constructed title string.

2004-05-27  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (EXTRA_DIST): Add $(error_i18n)

2004-05-21  Not Zed  <NotZed@Ximian.com>

	* e-error.c (e_error_default_parent): set a default error parent
	fallback.
	(e_error_newv): if parent is null, see if we have a default still
	alive, and use that.  warn if not.
	(e_error_default_parent): uh, fix the sense of the
	if-we-dont-have-it test.

2004-05-20  JP Rosevear  <jpr@novell.com>

	* e-task-widget.c (e_task_widget_construct): only unref the mask
	if there is one

2004-05-19  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't dist the error .h file

2004-05-18  Not Zed  <NotZed@Ximian.com>

	* e-error.c (ee_load): load the <help> tag if present.
	(ee_response): handle the help response and swallow the signal.
	(e_error_newv): setup help button if we have a help uri.

2004-05-17  Jeffrey Stedfast  <fejj@novell.com>

	* e-url-entry.c (init): Use E_ICON_SIZE_BUTTON for the icon size
	in the e_icon_factory_get_icon() call.

	* e-combo-button.c (create_empty_image_widget): Don't hard-code
	the size of the icon in pixels, instead use the appropriate
	E_ICON_SIZE_ enum.

2004-05-17  JP Rosevear  <jpr@novell.com>

	Fixes #58460
	
	* e-task-widget.c (e_task_widget_construct): bitmap_unref the
	mask, don't object_unref it

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* e-error.c (ee_load): duh, use the right node pointer for title
	and secondary text.

	* e-system-errors.xml: make the Because cases the same.

	* e-system-errors.xml.h: add for translators.

	* e-error.c (ee_load): just use _() to do i18n rather than the
	nasty lang stuff.
	(find_node): no longer needed.

	* Makefile.am (%.xml.h): setup the build rules for the i18n file
	for the errors.

	* e-system-errors.xml.in: Removed, renamed to .xml and removed the
	_ stuff.

2004-05-04  Xan Lopez  <xan@gnome.org>

	* Makefile.am:

        Build fixes.

2004-05-03  Not Zed  <NotZed@Ximian.com>

	* e-error.c (ee_build_label): blah, need to do entity decoding.
	#57918.

2004-04-29  JP Rosevear  <jpr@ximian.com>

	* e-activity-handler.c (impl_dispose): pass the correct data when
	weak unreffing

2004-04-29  Not Zed  <NotZed@Ximian.com>

	* e-error.c (e_error_newv): make the label selectable.
	(e_error_newv): if we have stock and label set, then use a stock
	button with an override label.

2004-04-28  Not Zed  <NotZed@Ximian.com>

	* e-system-errors.xml.in: holder for system errors.

	* test-error.c: helper to show an error message/test it.

	* e-error.[ch]: Api for disk-based, hig-compliant error messages
	and query boxes.

2004-04-19  Jeffrey Stedfast  <fejj@ximian.com>

	* e-info-label.c (e_info_label_new): Updated to sue E_ICON_SIZE enums.

2004-04-19  Rodney Dawes  <dobey@ximian.com>

	* e-info-label.c (e_info_label_new): Update to use EIconFactory to
	get the filename for the component icons using the icon theme

2004-04-19  Michael Terry  <mike@mterry.name>

	* e-combo-buddon.c:
	* e-url-entry.c: Update these to use EIconFactory and GtkImages
	directly instead of GdkPixmaps

2004-04-09  Rodney Dawes  <dobey@ximian.com>

	* e-charset-picker.c: Include gtkhbox.h in here to avoid the warnings
	(activate_other):
	(e_charset_picker_dialog): Make these dialogs be more HIG-compliant
	* e-filter-bar.c (do_advanced):
	(menubar_activated): Make these dialogs be more HIG-compliant

2004-04-08  Not Zed  <NotZed@Ximian.com>

	* e-info-label.c (e_info_label_set_info): ugh, fix some last
	minute changes which broke shit.

	* e-info-label.[ch]: A widget to show component info for the
	current component/view.

2004-04-07  Jeffrey Stedfast  <fejj@ximian.com>

	* e-multi-config-dialog.c: Updated for changes to e-config-page.c
	(init): Removed the OK and Apply buttons.

	* e-config-page.c (e_config_page_apply): Removed.
	(e_config_page_is_applied): Removed.
	(e_config_page_changed): Removed.

2004-04-01  Dan Winship  <danw@ximian.com>

	* e-url-entry.c (init): Make the button initially insensitive.
	Connect to the entry's "changed" signal.
	(entry_changed_cb): sensitize the button iff the entry is
	non-empty
	(button_clicked_cb): simplify a bit by using gtk_entry_get_text
	rather than gtk_editable_get_chars.

2004-04-01  Jeffrey Stedfast  <fejj@ximian.com>

	* e-charset-picker.c (e_charset_picker_new): Create a new class
	for "Western European, New" to fix a translation issue.

2004-03-31  Not Zed  <NotZed@Ximian.com>

	* e-filter-bar.c (menubar_activated): start the rule editor with
	the right label.

2004-03-26  Rodney Dawes  <dobey@ximian.com>

	* e-multi-config-dialog.c (init): Remove the dialog separator
	Set the border widths of the dialog's vbox and action area to be more
	HIG-compliant
	Set the border width of the dialog's child to 12 for HIG-compliance

2004-03-15  JP Rosevear  <jpr@ximian.com>

	* e-calendar-item.c (e_calendar_item_class_init): change arg name
	(e_calendar_item_init): ditto
	(e_calendar_item_get_arg): ditto
	(e_calendar_item_set_arg): ditto
	(e_calendar_item_preserve_day_selection): set the selection day to
	the given selection
	(e_calendar_item_set_first_month): use above to preserve selected
	day of week

	* e-calendar-item.h: change field name

2004-03-13  Trent Lloyd  <lathiat@sixlabs.org>

	* e-search-bar.c (remove_bonobo_menus): move function above
	setup_bonobo_menus, fixes implicit declaration.

2004-03-12  Kidd Wang  <kidd.wang@sun.com>

	* e-dateedit.c (create_children): enlarge the text box to
	accomodate the time info in different locales.

2004-03-11  Jeffrey Stedfast  <fejj@ximian.com>

	Fix for bug #55267.

	* e-filter-bar.c (set_property): Use efb->setquery properly (set
	to TRUE before calling set_item_id and FALSE afterwards). Also
	setquery to TRUE before emitting the "search-activated" signal so
	that we don't run the callback for the signal we are emitting.

2004-03-02  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (set_property): Emit the "search-activated"
	signal. Fixes bug #55054.

2004-02-26  Rodney Dawes  <dobey@ximian.com>

	* e-cell-renderer-combo.c (ecrc_get_size):
	* e-dateedit.c (create_children):
	* e-dropdown-button.c (e_dropdown_button_construct): Create the
	arrows in these widgets as GTK_SHADOW_NONE, since the default arrow
	type in GTK+ 2.x is flat triangle arrows, and shadow types are
	generally ignored for arrows anyway, and so we don't look ugly with
	themes that handle shadow types on arrows correctly

2004-02-26  Bill Zhu <bill.zhu@sun.com>

	* e-search-bar.c (setup_bonobo_menus): Before Update the bonobo ui
	component, remove it first.

	Fixes #54788

2004-02-11  Rodney Dawes  <dobey@ximian.com>

	* e-multi-config-dialog.c (impl_response): Change the filename and
	section that we pass to gnome_help_display_desktop so that the help
	browser displays the documentation correctly

2004-02-10  Rodney Dawes  <dobey@ximian.com>

	* e-multi-config-dialog.c (init): Add a Help button
	(impl_response): Handle the Help button and open the documentation

	Fixes #30681

2004-02-05  Rodney Dawes  <dobey@ximian.com>

	* e-task-bar.c: Don't show the task label by default

2004-02-03  Dan Winship  <danw@ximian.com>

	* e-activity-handler.c: 
	* e-activity-handler.h: 
	* e-task-bar.c: 
	* e-task-bar.h: 
	* e-task-widget.c: 
	* e-task-widget.h: Moved here from shell/, since they are now used
	only by the components, not the shell itself.

	* Makefile.am (widgetsinclude_HEADERS,
	libemiscwidgets_la_SOURCES): add new files

2004-02-02  Chris Toshok  <toshok@ximian.com>

	* e-image-chooser.c (set_image_from_data): set
	image_buf/image_buf_size here instead of in all callers.  also
	emit the "changed" signal here.
	(image_drag_data_received_cb): remove the copying to image_buf and
	emitting of "changed" from here.
	(e_image_chooser_set_from_file): only g_free (data) here if
	set_image_from_data failed.
	(e_image_chooser_set_image_data): copy the image data we're passed
	before calling set_image_data.  free it if rv == FALSE.

2004-01-30  Chris Toshok  <toshok@ximian.com>

	* e-image-chooser.c (e_image_chooser_init): add an alignment
	around the image.  This might not be enough.  hrm.
	(set_image_from_data): handle the case where there's no image
	(image_height == image_width == 0).
	(e_image_chooser_get_image_data): new function.
	(e_image_chooser_set_image_data): new function.

	* e-image-chooser.h: add prototypes for set/get_image_data.

2004-01-30  Chris Toshok  <toshok@ximian.com>

	* e-image-chooser.[ch]: abstract out the drag and droppable image
	widget from the contact list editor and stick it here.  There's
	some code for a "Browse..." button here but it's not enabled.

	* Makefile.am (widgetsinclude_HEADERS): add e-image-chooser.h.
	(libemiscwidgets_la_SOURCES): add e-image-chooser.c
	
2004-01-30  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (get_property): Only save the search-bar state OR
	the filter-bar state - decided based on what the search is. If the
	search is an advanced search, then save the filter-bar state,
	otherwise save the search-bar state.
	(set_property): Only need to restore the first state we find
	(filter-bar vs search-bar). If we are restoring filter-bar state,
	set efb->setquery to TRUE and then set the item_id to
	E_FILTERBAR_ADVANCED_ID.

2004-01-29  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c (option_changed): Don't call efb->config() if the
	current_query is NULL.

2004-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* e-search-bar.c (impl_get_property): Same.

	* e-filter-bar.c (get_property): Use
	g_value_set_string_take_ownership() instead of
	g_value_take_string() since we need snaps to work with glib-2.0
	earlier than 2.3.x.

2004-01-28  Jeffrey Stedfast  <fejj@ximian.com>

	* e-filter-bar.c: Added a new property "state" which is READ-WRITE
	so that we can save/restore state in the mailer code if we want
	to. Sort of a work-in-progress toward fixing bug #53195.
	(class_init): Ported to use the GObject property stuff instead of
	the deprecated GtkArg stuff.
	(get_property): Ported from impl_get_arg().
	(set_property): New object::set_property implementation to set the
	query state.

2004-01-24  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (cell_toggled_callback): if the source is
	primary, don't allow it to be un-selected

2004-01-20  Rodney Dawes  <dobey@ximian.com>

	* e-combo-button.c (paint): Be even more exactly like the GtkButton
	painting stuff

	Fixes #52988

2004-01-20  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (rebuild_model): set a primary selection if
	there is one before the rebuild
	(e_source_selector_set_primary_selection): block the signals when
	clearing the tree selection to make the op atomic; emit the
	selection_changed signal if a hidden selection is not currently
	selectecd

2004-01-20  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (find_source_iter): provide parent iter
	in/out arg
	(test_collapse_row_callback): use priv shortcut
	(e_source_selector_select_source): pass parent iter
	(e_source_selector_unselect_source): ditto
	(e_source_selector_peek_primary_selection): return the right thing
	if the primary selection is currently hidden
	(e_source_selector_set_primary_selection): set the primary
	selection properly if the source node is currently hidden

2004-01-20  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (clear_saved_primary_selection): util
	routine to clear the row reference to the saved primary selection
	(find_source_iter): unref the model data retrieved
	(rebuild_existing_cb): ditto
	(toggle_cell_data_func): ditto
	(text_cell_data_func): ditto
	(selection_func): ditto; clear the saved primary selection if
	something else is selected
	(cell_toggled_callback): ditto
	(test_collapse_row_callback): clear the toggled_last flag
	(row_expanded_callback): once we've restored the saved primary
	selection, clear it
	(selector_button_press_event): unref the model data
	(impl_dispose): use clear_saved_primary_selection
	(init): the store column holds object not pointer type
	(e_source_selector_peek_primary_selection): unref the model data

2004-01-20  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (test_collapse_row_callback): check if the
	collapsing node has its child selected, if so take a row reference
	to remember the selection
	(row_expanded_callback): check if the expanding node has the saved
	primary selection under it and re-select if so
	(init): listen for signals
	(impl_dispose): free the primary selection

2004-01-19  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (create_rebuild_data): create the data
	structure for rebuilding the model
	(free_rebuild_data): free it
	(rebuild_existing_cb): check for the sources that are still
	existing or deleted
	(rebuild_model): do incremental updates
	(selection_func): if the last thing we did was toggle, we don't
	actually want to highlight and if the source is not checked, check
	it
	(cell_toggled_callback): indicate that a toggle just occurred
	(init): initial toggled last to false	
	(e_source_selector_set_primary_selection): set some preconditions

	Fixes #51787
	
2004-01-19  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c 	(cell_toggled_callback): indicate that a toggle just occurred

2004-01-19  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c 

	(selector_button_press_event): when right clicking, make sure the
	calendar is highlighted and that groups can't be right clicked on

2004-01-14  Rodney Dawes  <dobey@ximian.com>

	* e-expander.[ch]: Fix remaining usages of GTK_*EXPANDER* defines

2003-12-22  Rodney Dawes  <dobey@ximian.com>

	Fix for bug #46349
	
	* e-combo-button.c: Use the appropriate style painting for a
	button widget, since we are a button

2003-12-18  Harry Lu  <harry.lu@sun.com>

	* e-cell-date-edit.c: (e_cell_date_edit_do_popup): call
	gdk_window_focus() so that keyboard works correctly.

2003-12-16  Hans Petter Jansson  <hpj@ximian.com>

	* e-source-option-menu.c (select_source_foreach_menu_item): Use
	e_source_equal() instead of comparing pointers. This allows user
	to pass in a source that was obtained from somewhere else. Set the
	matching internal source as "selected" instead of the one passed
	in.
	(select_source): Emit signal only if we found a match. Don't
	ref/unref anything, since the selected source will always be from
	our internal list.
	
2003-12-04  Harry Lu <harry.lu@sun.com> 

	Fix for bugzilla bug #51624 and #51627.

	* e-calendar-item.c: (e_calendar_item_selection_add_days):
	set the date to the first day of the month so that user can use
	keyboard's arrow key to select a date.
	(e_calendar_item_set_selection_if_emission): only set selection_changed
	if emission is TRUE.
	* e-calendar.c: (e_calendar_init): add back the "clicked" handler so
	that user can use keyboard to click the button.
	 (e_calendar_start_auto_move): no need to move since it is already 
	handled by the clicked handler
	(e_calendar_on_prev_clicked), (e_calendar_on_next_clicked): move the 
	month here.
	* e-dateedit.c: (e_date_edit_show_date_popup): use gdk_window_focus 
	instead of gdk_keyboard_grab so that the focus won't lost if user click
	the button with keyboard.
	(hide_date_popup): no need to call gdk_keyboard_ungrab.

2003-12-02  Ettore Perazzoli  <ettore@ximian.com>

	* e-source-selector.c (init): Set the mode on the text cell
	renderer to GTK_CELL_RENDERER_MODE_ACTIVATABLE so clicking on the
	text doesn't change the status of the checkbox.  [Many thanks to
	Jonathan Blandford for telling me how to do this!]

2003-12-01  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (class_init): list the signal args properly

2003-11-30  ERDI Gergo  <cactus@cactus.rulez.org>

	* e-calendar.c: canned the _clicked handlers as those make it
	impossible to move just one month at a time

2003-11-30  Ettore Perazzoli  <ettore@ximian.com>

	* e-util-marshal.list: Add NONE:POINTER.

	* test-source-option-menu.c (source_selected_callback): New
	callback to test the "source_selected" signal.
	(on_idle_create_widget): Connect.

	* e-source-option-menu.c: Add "source_selected" signal.
	(select_source): Assume source != NULL and emit "source_selected".

2003-11-30  Ettore Perazzoli  <ettore@ximian.com>

	* test-source-option-menu.c: New test.

	* e-source-option-menu.h: New.
	* e-source-option-menu.c: New.

2003-11-23  ERDI Gergo  <cactus@cactus.rulez.org>

	* e-expander.c: Added the late eggexpander
	
	* e-expander.c (e_expander_button_release): Emit 'activate' signal when
	appropriate
	

2003-11-17  Charles Zhang  <charles.zhang@sun.com>

	* e-search-bar.c(add_button): allow new lable with mnemonic
	(e_search_bar_construct): alter lable name. [50810]

2003-11-16  JP Rosevear <jpr@ximian.com>

	* e-source-selector.c (e_source_selector_set_primary_selection):
	use find_source_iter and get the selection from the right spot
	(find_source_iter): util function to find the iter given the
	source
	(e_source_selector_select_source): signal that the model changed
	(e_source_selector_unselect_source): ditto

2003-11-14  JP Rosevear <jpr@ximian.com>

	* e-source-selector.h: include e-source stuff from e-d-s

	* Makefile.am: use new cflags/libs to build
	
2003-11-13  Bolian Yin <bolian.yin@sun.com>

	* e-calendar-item.c: remove a declaration of a deleted func.

2003-11-12  JP Rosevear <jpr@ximian.com>

	* e-calendar-item.c (e_calendar_item_class_init): a canvas item
	does not inherit from gtkwidget

2003-11-11  Bolian Yin <bolian.yin@sun.com>
                                                                                
        Fixes #50538
                                                                                
        * e-calendar-item: make e_calendar_item_normalize_date public func.
           add "selection_preview_changed" signal.
           move some definition of constants to .h
                                                                                
2003-11-10  Ettore Perazzoli  <ettore@ximian.com>

	* e-source-selector.c (e_source_selector_new): Expand all the
	nodes.

2003-11-07  JP Rosevear <jpr@ximian.com>

	* Makefile.am: make sure the marshal stuff is in the sources and
	remove the built files when disting

2003-10-28  Rodrigo Moya <rodrigo@ximian.com>

	* e-source-selector.c (class_init): fill_popup_menu signal has
	2 arguments.

2003-10-28  Rodrigo Moya <rodrigo@ximian.com>

	* e-source-selector.[ch]: added "fill_popup_menu" signal, to
	allow the addition of new items to the popup menu.
	(class_init): create new signal.
	(init): connect to "button_press_event" for the tree view.
	(selector_button_press_event): callback for "button_press_event".
	(e_source_selector_selection_shown): use g_return_val_if_fail.

2003-10-22  Dan Winship  <danw@ximian.com>

	* e-bonobo-widget.[ch]: Remove these (unused since 1.2)

2003-09-30  Mike Kestner  <mkestner@ximian.com>

	* e-cell-renderer-combo.* : new, treeview renderer for combo cells
	* e-combo-cell-editable.* : new, GtkCellEditable for combo cells
	* Makefile.am : build the new files
	
2003-09-19  Bolian Yin <bolian.yin@sun.com>

	Fixes #1245. ECalendar should be usable with the keyboard

	* e-calendar-item.c (e_calendar_item_focus): new func, focus
	handler.
	(e_calendar_item_key_press_event): new func, key press event
	handler
	(e_calendar_item_selection_add_days,
	e_calendar_item_stop_selecting): helpers.
	(e_calendar_item_ensure_days_visible,
	 e_calendar_item_set_selection_if_emission): add the flag to
	 control if we should emit e-calendar signals.
	(e_calendar_item_class_init): register focus handler.
	(e_calendar_item_event): add code for GDK_FOCUS_CHANGE and
	GDK_KEY_PRESS.

	* e-calendar.c (e_calendar_focus): new func, focus handler
	(e_calendar_button_has_focus): new func, if prev/next button has
	focus.
	(e_calendar_on_next_clicked, e_calendar_on_prev_clicked): click
	 signal handler for prev/next buttons.
	(e_calendar_set_focusable): set if the e-calendar is focusable

	* e-dateedit.c (e_date_edit_show_date_popup, hide_date_popup):
	grab/ungrab gdk keyboard.

2003-08-27  Hans Petter Jansson  <hpj@ximian.com>

	Fixes #15638.

	* e-dateedit.c (rebuild_time_popup): Make 12-hour time format not
	be zero-padded. Right-align time labels so digits line up.

2003-08-27  Bolian Yin <bolian.yin@sun.com>

	* Makefile.am: add dependency on a11y/widgets.
	
	* e-calendar-item.c (e_calendar_item_class_init): a11y init.
	  (e_calendar_item_bounds): new func, impl the bounds virtual
	  func.

2003-08-18  Ettore Perazzoli  <ettore@ximian.com>

	* e-source-selector.c (e_source_selector_selection_shown)
	(e_source_selector_show_selection): Add precondition.

2003-08-18  Ettore Perazzoli  <ettore@ximian.com>

	* test-source-selector.c (on_idle_create_widget): Add a
	checkbutton to the test window for toggling the checkboxes on and
	off.  Also, put the list in a scrolled window and set a default
	size for the main window.
	(check_toggled_callback): Callback for the checkbutton.

	* e-source-selector.c: New member checkboxes_shown in struct
	ESourceSelectorPrivate.
	(init): Set to TRUE.
	(e_source_selector_show_selection): New.
	(e_source_selector_selection_shown): New.
	(toggle_cell_data_func): Don't show the toggle if checkboxes_shown
	is FALSE.

2003-08-17  Ettore Perazzoli  <ettore@ximian.com>

	* e-source-selector.c: New signal "primary_selection_changed",
	removed members list_changed_callback_id and
	selection_changed_callback_id in ESourceSelectorPrivate.
	(rebuild_model): If the new set of selected sources is smaller
	than the old one, emit "selection_changed".
	(e_source_selector_peek_primary_selection): New.
	(e_source_selector_set_primary_selection): New.
	(selection_changed_callback): New callback for the "changed"
	signal on our associated GtkTreeSelection.
	(init): Connect.
	(impl_dispose): Disconnect.
	(setup_model): Use signal_connect_object() instead of saving the
	ID.

2003-08-15  Ettore Perazzoli  <ettore@ximian.com>

	* e-source-selector.c (cell_toggled_callback): Call
	gtk_tree_model_row_changed() to let the model know that we changed
	the data.

2003-08-15  Ettore Perazzoli  <ettore@ximian.com>

	* test-source-selector.c: New test program.

	* e-source-selector.c: New file.
	* e-source-selector.h: New file.

2003-07-23  Dan Winship  <danw@ximian.com>

	* Makefile.am: use EVO_MARSHAL_RULE

	* e-combo-button.c (create_empty_pixmap_widget): Create the pixbuf
	from empty.xpm rather than just calling gdk_pixbuf_new(), which
	doesn't actually initialize the pixel data.

	* e-messagebox.c: Remove this, since it claims to be deprecated,
	and nothing is actually using it any more.
	
	* Makefile.am: Remove e-messagebox.[ch]

2003-07-11  Federico Mena Quintero  <federico@ximian.com>

	* e-dateedit.c (e_date_edit_mnemonic_activate): Added a handler
	for GtkWidget::mnemonic_activate().

	* e-url-entry.c (mnemonic_activate): Likewise.

2003-07-09  Federico Mena Quintero  <federico@ximian.com>

	* e-url-entry.c (destroy): Chain to the parent handler.  Fixes #45236.

2003-06-23  Ettore Perazzoli  <ettore@ximian.com>

	* e-search-bar.c (set_menu): Translate the text.  [#45112]

2003-06-18  Suresh Chandrasekharan  <suresh.chandrasekharan@sun.com>

	* e-charset-picker.c: Fix for #45082: GB18030 BIG5HKSCS and EUC-TW 
	charsets not supported in evolution mail

2003-06-17  Jeffrey Stedfast  <fejj@ximian.com>

	* e-charset-picker.c (e_charset_picker_bonobo_ui_populate): Don't
	use the charset class in the menu label if it is 'Unknown'.
	(e_charset_picker_bonobo_ui_populate): For user-defined charsets,
	just use the name of the charset rather than "Unknown".
	(add_charset): Don't escape _'s anymore, this seems to not be
	needed int gtk2.
	(add_other_charset): g_strdup() the charset name. Fixes bug
	#43917.

2003-06-11  Larry Ewing  <lewing@ximian.com>

	* e-search-bar.c (impl_get_property): take ownership of the duped
	string.

